Package be.ehealth.businessconnector.hubv3.service.impl

# Class HubTokenServiceImpl

java.lang.Object
be.ehealth.businessconnector.hubv3.service.impl.HubTokenServiceImpl

All Implemented Interfaces:
  `HubTokenService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class HubTokenServiceImpl extends Object implements HubTokenService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation of `HubTokenService`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `PROP_INTRAHUBV3_SHA1FEATURE_ENABLED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HubTokenServiceImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `DeclareTransactionResponse`
  `declareTransaction(SAMLToken token, DeclareTransactionRequest request, String breakTheGlass)`
  Declare transaction.
  `GetAccessRightResponse`
  `getAccessRight(SAMLToken token, GetAccessRightRequest request, String breakTheGlass)`
  Gets the access right.
  `GetHCPartyResponse`
  `getHCParty(SAMLToken token, GetHCPartyRequest request, String breakTheGlass)`
  Gets the hC party.
  `GetHCPartyConsentResponse`
  `getHCPartyConsent(SAMLToken token, GetHCPartyConsentRequest request, String breakTheGlass)`
  Gets the hC party consent.
  `GetLatestUpdateResponse`
  `getLatestUpdate(SAMLToken token, GetLatestUpdateRequest request, String breakTheGlass)`
  `GetPatientResponse`
  `getPatient(SAMLToken token, GetPatientRequest request, String breakTheGlass)`
  Gets the patient.
  `GetPatientAuditTrailResponse`
  `getPatientAuditTrail(SAMLToken token, GetPatientAuditTrailRequest request, Paginationrequestinfo paginationrequestinfo, String breakTheGlass)`
  Gets the patient audit trail.
  `GetPatientAuditTrailResponse`
  `getPatientAuditTrail(SAMLToken token, GetPatientAuditTrailRequest request, String breakTheGlass)`
  Gets the patient audit trail.
  `GetPatientConsentResponse`
  `getPatientConsent(SAMLToken token, GetPatientConsentRequest request, String breakTheGlass)`
  Gets the patient consent.
  `GetTherapeuticLinkResponse`
  `getTherapeuticLink(SAMLToken token, GetTherapeuticLinkRequest request, String breakTheGlass)`
  Gets the therapeutic link.
  `GetTransactionResponse`
  `getTransaction(SAMLToken token, GetTransactionRequest request, String breakTheGlass)`
  Gets the transaction.
  `GetTransactionListResponse`
  `getTransactionList(SAMLToken token, GetTransactionListRequest request, Paginationrequestinfo pagReqInfo, String breakTheGlass)`
  Gets the transaction list.
  `GetTransactionListResponse`
  `getTransactionList(SAMLToken token, GetTransactionListRequest request, String breakTheGlass)`
  Gets the transaction list.
  `GetTransactionSetResponse`
  `getTransactionSet(SAMLToken token, GetTransactionSetRequest request, String breakTheGlass)`
  Gets the transaction set.
  `PutAccessRightResponse`
  `putAccessRight(SAMLToken token, PutAccessRightRequest request, String breakTheGlass)`
  Put access right.
  `PutHCPartyResponse`
  `putHCParty(SAMLToken token, PutHCPartyRequest request, String breakTheGlass)`
  Put hc party.
  `PutHCPartyConsentResponse`
  `putHCPartyConsent(SAMLToken token, PutHCPartyConsentRequest request, String breakTheGlass)`
  Put hc party consent.
  `PutPatientResponse`
  `putPatient(SAMLToken token, PutPatientRequest request, String breakTheGlass)`
  Put patient.
  `PutPatientConsentResponse`
  `putPatientConsent(SAMLToken token, PutPatientConsentRequest request, String breakTheGlass)`
  Put patient consent.
  `PutTherapeuticLinkResponse`
  `putTherapeuticLink(SAMLToken token, PutTherapeuticLinkRequest request, String breakTheGlass)`
  Put therapeutic link.
  `PutTransactionResponse`
  `putTransaction(SAMLToken token, PutTransactionRequest request, String breakTheGlass)`
  Put transaction.
  `PutTransactionSetResponse`
  `putTransactionSet(SAMLToken token, PutTransactionSetRequest request, String breakTheGlass)`
  Put transaction set.
  `RequestPublicationResponse`
  `requestPublication(SAMLToken token, RequestPublicationRequest request, String breakTheGlass)`
  Request publication.
  `RevokeAccessRightResponse`
  `revokeAccessRight(SAMLToken token, RevokeAccessRightRequest request, String breakTheGlass)`
  Revoke access right.
  `RevokeHCPartyConsentResponse`
  `revokeHCPartyConsent(SAMLToken token, RevokeHCPartyConsentRequest request, String breakTheGlass)`
  Revoke hc party consent.
  `RevokePatientConsentResponse`
  `revokePatientConsent(SAMLToken token, RevokePatientConsentRequest request, String breakTheGlass)`
  Revoke patient consent.
  `RevokeTherapeuticLinkResponse`
  `revokeTherapeuticLink(SAMLToken token, RevokeTherapeuticLinkRequest request, String breakTheGlass)`
  Revoke therapeutic link.
  `RevokeTransactionResponse`
  `revokeTransaction(SAMLToken token, RevokeTransactionRequest request, String breakTheGlass)`
  Revoke transaction.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### PROP_INTRAHUBV3_SHA1FEATURE_ENABLED

    public static final String PROP_INTRAHUBV3_SHA1FEATURE_ENABLED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### HubTokenServiceImpl

    public HubTokenServiceImpl()

- ## Method Details

  - ### declareTransaction

    public DeclareTransactionResponse declareTransaction(SAMLToken token, DeclareTransactionRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Declare transaction.
    Specified by:
      `declareTransaction` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the declare transaction response
    Throws:
      `TechnicalConnectorException`

  - ### putTransaction

    public PutTransactionResponse putTransaction(SAMLToken token, PutTransactionRequest request, String breakTheGlass) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `HubTokenService`
    Put transaction.
    Specified by:
      `putTransaction` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the put set transaction response
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`

  - ### revokeTransaction

    public RevokeTransactionResponse revokeTransaction(SAMLToken token, RevokeTransactionRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Revoke transaction.
    Specified by:
      `revokeTransaction` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the revoke transaction response
    Throws:
      `TechnicalConnectorException`

  - ### getTransactionList

    public GetTransactionListResponse getTransactionList(SAMLToken token, GetTransactionListRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the transaction list.
    Specified by:
      `getTransactionList` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the transaction list
    Throws:
      `TechnicalConnectorException`

  - ### getTransactionList

    public GetTransactionListResponse getTransactionList(SAMLToken token, GetTransactionListRequest request, Paginationrequestinfo pagReqInfo, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the transaction list.
    Specified by:
      `getTransactionList` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `pagReqInfo` - Informations for pagination
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the transaction list
    Throws:
      `TechnicalConnectorException`

  - ### getTransaction

    public GetTransactionResponse getTransaction(SAMLToken token, GetTransactionRequest request, String breakTheGlass) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `HubTokenService`
    Gets the transaction.
    Specified by:
      `getTransaction` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the transaction
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`

  - ### requestPublication

    public RequestPublicationResponse requestPublication(SAMLToken token, RequestPublicationRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Request publication.
    Specified by:
      `requestPublication` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the request publication response
    Throws:
      `TechnicalConnectorException`

  - ### putHCParty

    public PutHCPartyResponse putHCParty(SAMLToken token, PutHCPartyRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Put hc party.
    Specified by:
      `putHCParty` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the put hc party response
    Throws:
      `TechnicalConnectorException`

  - ### getHCParty

    public GetHCPartyResponse getHCParty(SAMLToken token, GetHCPartyRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the hC party.
    Specified by:
      `getHCParty` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the hC party
    Throws:
      `TechnicalConnectorException`

  - ### putPatient

    public PutPatientResponse putPatient(SAMLToken token, PutPatientRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Put patient.
    Specified by:
      `putPatient` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the put patient response
    Throws:
      `TechnicalConnectorException`

  - ### getPatient

    public GetPatientResponse getPatient(SAMLToken token, GetPatientRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the patient.
    Specified by:
      `getPatient` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the patient
    Throws:
      `TechnicalConnectorException`

  - ### putHCPartyConsent

    public PutHCPartyConsentResponse putHCPartyConsent(SAMLToken token, PutHCPartyConsentRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Put hc party consent.
    Specified by:
      `putHCPartyConsent` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the put hc party consent response
    Throws:
      `TechnicalConnectorException`

  - ### getHCPartyConsent

    public GetHCPartyConsentResponse getHCPartyConsent(SAMLToken token, GetHCPartyConsentRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the hC party consent.
    Specified by:
      `getHCPartyConsent` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the hC party consent
    Throws:
      `TechnicalConnectorException`

  - ### revokeHCPartyConsent

    public RevokeHCPartyConsentResponse revokeHCPartyConsent(SAMLToken token, RevokeHCPartyConsentRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Revoke hc party consent.
    Specified by:
      `revokeHCPartyConsent` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the revoke hc party consent response
    Throws:
      `TechnicalConnectorException`

  - ### putPatientConsent

    public PutPatientConsentResponse putPatientConsent(SAMLToken token, PutPatientConsentRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Put patient consent.
    Specified by:
      `putPatientConsent` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the put patient consent response
    Throws:
      `TechnicalConnectorException`

  - ### getPatientConsent

    public GetPatientConsentResponse getPatientConsent(SAMLToken token, GetPatientConsentRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the patient consent.
    Specified by:
      `getPatientConsent` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the patient consent
    Throws:
      `TechnicalConnectorException`

  - ### revokePatientConsent

    public RevokePatientConsentResponse revokePatientConsent(SAMLToken token, RevokePatientConsentRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Revoke patient consent.
    Specified by:
      `revokePatientConsent` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the revoke patient consent response
    Throws:
      `TechnicalConnectorException`

  - ### putTherapeuticLink

    public PutTherapeuticLinkResponse putTherapeuticLink(SAMLToken token, PutTherapeuticLinkRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Put therapeutic link.
    Specified by:
      `putTherapeuticLink` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the put therapeutic link response
    Throws:
      `TechnicalConnectorException`

  - ### getTherapeuticLink

    public GetTherapeuticLinkResponse getTherapeuticLink(SAMLToken token, GetTherapeuticLinkRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the therapeutic link.
    Specified by:
      `getTherapeuticLink` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the therapeutic link
    Throws:
      `TechnicalConnectorException`

  - ### revokeTherapeuticLink

    public RevokeTherapeuticLinkResponse revokeTherapeuticLink(SAMLToken token, RevokeTherapeuticLinkRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Revoke therapeutic link.
    Specified by:
      `revokeTherapeuticLink` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the revoke therapeutic link response
    Throws:
      `TechnicalConnectorException`

  - ### putAccessRight

    public PutAccessRightResponse putAccessRight(SAMLToken token, PutAccessRightRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Put access right.
    Specified by:
      `putAccessRight` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the put access right response
    Throws:
      `TechnicalConnectorException`

  - ### getAccessRight

    public GetAccessRightResponse getAccessRight(SAMLToken token, GetAccessRightRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the access right.
    Specified by:
      `getAccessRight` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the access right
    Throws:
      `TechnicalConnectorException`

  - ### revokeAccessRight

    public RevokeAccessRightResponse revokeAccessRight(SAMLToken token, RevokeAccessRightRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Revoke access right.
    Specified by:
      `revokeAccessRight` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the revoke access right response
    Throws:
      `TechnicalConnectorException`

  - ### getPatientAuditTrail

    public GetPatientAuditTrailResponse getPatientAuditTrail(SAMLToken token, GetPatientAuditTrailRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the patient audit trail.
    Specified by:
      `getPatientAuditTrail` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the patient audit trail
    Throws:
      `TechnicalConnectorException`

  - ### getPatientAuditTrail

    public GetPatientAuditTrailResponse getPatientAuditTrail(SAMLToken token, GetPatientAuditTrailRequest request, Paginationrequestinfo paginationrequestinfo, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the patient audit trail.
    Specified by:
      `getPatientAuditTrail` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `paginationrequestinfo` - Informations for pagination
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the patient audit trail
    Throws:
      `TechnicalConnectorException`

  - ### putTransactionSet

    public PutTransactionSetResponse putTransactionSet(SAMLToken token, PutTransactionSetRequest request, String breakTheGlass) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `HubTokenService`
    Put transaction set.
    Specified by:
      `putTransactionSet` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the put transaction response
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`

  - ### getTransactionSet

    public GetTransactionSetResponse getTransactionSet(SAMLToken token, GetTransactionSetRequest request, String breakTheGlass) throws TechnicalConnectorException
    Description copied from interface: `HubTokenService`
    Gets the transaction set.
    Specified by:
      `getTransactionSet` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the transaction set
    Throws:
      `TechnicalConnectorException`

  - ### getLatestUpdate

    public GetLatestUpdateResponse getLatestUpdate(SAMLToken token, GetLatestUpdateRequest request, String breakTheGlass) throws TechnicalConnectorException
    Specified by:
      `getLatestUpdate` in interface `HubTokenService`
    Parameters:
      `token` - the token
      `request` - the request
      `breakTheGlass` - Indicates the request as "break-the-glass"
    Returns:
      the latest update
    Throws:
      `TechnicalConnectorException`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`